libzypp 17.37.10

Out.h File Reference
`#include <string>`
`#include <sstream>`
`#include <optional>`
`#include <zypp-core/base/Xml.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Flags.h>`
`#include <utility>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-core/base/DtorReset>`
`#include <zypp-core/Url.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/ui/ProgressData>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-tui/utils/text.h>`
`#include <zypp-tui/utils/colors.h>`
`#include <zypp-tui/utils/richtext.h>`
`#include <zypp-tui/Table.h>`
`#include <zypp-tui/output/PromptOptions>`

Go to the source code of this file.

## Classes
class | ztui::out::ListLayout
| Basic list layout. More...
struct | ztui::out::detail::ListLayoutInit< singleline_, wrapline_, gaped_, indent_ >
class | ztui::out::TableLayout
| Basic table layout. More...
class | ztui::out::XmlFormater
| XML representation of types in container [asXmlListElement]. More...
class | ztui::out::ListFormater
| Default representation of types in Lists [asListElement]. More...
class | ztui::out::TableFormater
| Special list formater writing a Table [asTableHeader|asTableRow]. More...
class | ztui::out::XmlFormaterAdaptor< TFormater >
| Adaptor. More...
class | ztui::out::ListLayout::Writer< TFormater >
| Write out a List according to the layout. More...
class | ztui::out::TableLayout::Writer< TFormater >
| Write out a Table according to the layout. More...
struct | ztui::TermLine
class | ztui::Out
| Base class for producing common (for now) zypper output. More...
class | ztui::Out::ParentOut
| Convenience base class storing the back reference to Out. More...
class | ztui::Out::XmlNode
| XML only: RAII writing a XML nodes start/end tag. More...
class | ztui::Out::TitleNode
| XmlNode with optional normal text headline (NL appended) More...
struct | ztui::Out::ParFormat
| Less common Paragraph formats. More...
struct | ztui::Out::Info
class | ztui::Out::ProgressBar
| Convenience class for progress output. More...
struct | ztui::Out::ProgressBar::NoStartBar
| Indicator type for ctor not drawing an initial start bar. More...
struct | ztui::Out::ProgressBar::Print
| ProgressData::ReceiverFnc printing to a ProgressBar. More...
class | ztui::Out::Error
| Convenience class Error reporting. More...

## Namespaces
namespace | ztui
namespace | ztui::text
namespace | ztui::out
namespace | ztui::out::detail

## Macros
Download progress with download rate
#define | SCOPED_VERBOSITY(OUT, LEVEL)
| Convenience macro for exception safe scoped verbosity change.

## Typedefs
using | ztui::out::XmlListLayout = detail::ListLayoutInit<true, false, false, 0U>
using | ztui::out::DefaultListLayout = detail::ListLayoutInit<true, true, false, 0U>
| one element per line, no indent
using | ztui::out::DefaultGapedListLayout = detail::ListLayoutInit<true, true, true, 0U>
| one element per line, no indent, gaped
using | ztui::out::IndentedListLayout = detail::ListLayoutInit<true, true, false, 2U>
| one element per line, indented
using | ztui::out::IndentedGapedListLayout = detail::ListLayoutInit<true, true, true, 2U>
| one element per line, indented, gaped
using | ztui::out::CompressedListLayout = detail::ListLayoutInit<false, true, false, 2U>
| multiple elements per line, indented
using | ztui::out::DefaultTableLayout = TableLayout
| Simple Table.

## Enumerations
enum class | ztui::ProgressEnd { ztui::done , ztui::attention , ztui::error }
| ProgressBars default end tags. More...

## Functions
ColorString | ztui::text::tagNote ()
| translated "Note:" highlighted
ColorString | ztui::text::tagWarning ()
| translated "Warning:" warning color
ColorString | ztui::text::tagError ()
| translated "Error:" error color
const char * | ztui::text::qContinue ()
| translated "Continue?"
template<class Tltext, class Trtext>
std::string | ztui::text::join (const Tltext &ltext, const Trtext &rtext, const char *sep=" ")
| Simple join of two string types.
bool | ztui::text::endsOnWS (const std::string &str_r)
| Whether the str_r ends with a WS.
const char * | ztui::text::optBlankAfter (const std::string &str_r)
unsigned | ztui::out::defaultTermwidth ()
std::string | ztui::out::asXmlListElement (const std::string &val_r)
std::string | ztui::out::asXmlListElement (const char *val_r)
std::string | ztui::out::asListElement (const std::string &val_r)
std::string | ztui::out::asListElement (const char *val_r)
template<>
TableHeader | ztui::out::asTableHeader< void > ()
template<class TContainer, class TFormater, class TLayout = typename TFormater::NormalLayout>
void | ztui::out::writeContainer (std::ostream &str_r, const TContainer &container_r, const TFormater &formater_r, const TLayout &layout_r=TLayout())
| Write formatted container to stream.
template<class TContainer, class TFormater>
void | ztui::out::xmlWriteContainer (std::ostream &str_r, const TContainer &container_r, const TFormater &formater_r)
| Write XML formatted container to stream.
| ztui::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (TermLine::SplitFlags)
| ztui::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Out::Type)

## Variables
static constexpr unsigned | ztui::out::termwidthUnlimited = 0u

## Macro Definition Documentation

## ◆ SCOPED_VERBOSITY

#define SCOPED_VERBOSITY | ( |  | OUT,
|  |  | LEVEL )

Value:
const auto & raii __attribute__ ((__unused__))( (OUT).scopedVerbosity( LEVEL ))

Convenience macro for exception safe scoped verbosity change.

{
// shut up zypper
SCOPED_VERBOSITY( Zypper::instance().out(), Out::QUIET );
// expands to:
// const auto & raii __attribute__ ((__unused__))( Zypper::instance().out().scopedVerbosity( Out::QUIET ) );
...
// leaving the block restores previous verbosity
}
SCOPED_VERBOSITY
#define SCOPED_VERBOSITY(OUT, LEVEL)
Convenience macro for exception safe scoped verbosity change.
Definition Out.h:881

Definition at line 881 of file Out.h.